MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0026683Open CASCADE[OCCT] OCCT:Data Exchangepublic2015-09-14 12:292015-10-23 20:50
Reporteragv 
Assigned Tokgv 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2010OS Version32 bit
Product Version[OCCT] 6.9.0 
Target Version[OCCT] 6.9.1Fixed in Version[OCCT] 6.9.1 
Summary0026683: VRML 2.0: ImageTexture not written
DescriptionThere are two issues to be fixed:
1) The class VrmlData_ImageTexture does not have the method Write()
2) If the method Write() is provided, it is called only when the parent Appearance node contains a non-default Material.
Steps To ReproduceTo be provided by AGV
Additional information
and documentation updates
I prepared the fix in VrmlData package, as requested by customer.
The customer desires to receive it in the nearest release (OCCT 6.9.1)
Please assign this bug record to me in order to resolve it ASAP.
No special testing is needed, the functionality is quite specific and has no impact on testable use cases.
TagsNo tags attached.
Test case number
Attached Fileszip file icon CR26683.zip (1,583 bytes) 2015-09-15 14:34

- Relationships

-  Notes
(0045612)
abv (manager)
2015-09-15 11:27

Alexander, please provide your fix for testing ASAP
(0045638)
agv (developer)
2015-09-15 14:33

Branch CR26683 is created.

Attached CR26683.zip with two files: one is the test code to create a sample VRML file, the other is generated VRML file -- it should contain two "texture" nodes.
(0045708)
git (administrator)
2015-09-16 13:10

Branch CR26683 has been created by agv.

SHA-1: a95a36afac506b0ab755a59e975a40d8721bbc29


Detailed log of new commits:

Author: agv
Date: Wed Sep 16 12:55:49 2015 +0300

    0026683: VRML 2.0: ImageTexture node not written
(0045741)
abv (manager)
2015-09-17 09:02

Alexander, please confirm whether changes made in VrmlData_Appearance::IsDefault() are correct: they change behavior of the method, while this is not commented anyhow.
(0045756)
agv (developer)
2015-09-17 11:30

I confirm that this change is justified by the VRML 2.0 specification where each node in Appearance is independently defined or omitted. See http://www.topedge.com/panels/cg/vrml/spec/part1/nodesRef.html#Appearance [^]
The previous behaviour was wrong.
(0045784)
abv (manager)
2015-09-17 13:47

Reviewed, please test
(0045807)
git (administrator)
2015-09-17 15:14

Branch CR26683 has been updated forcibly by mkv.

SHA-1: 3ccc5190cf3d7fe511ff2f095fbfac48d5015311
(0045820)
git (administrator)
2015-09-17 17:29

Branch CR26683 has been updated forcibly by mkv.

SHA-1: a7806d43a9b26a51dd164eed975bea1fab06e06b
(0045914)
mkv (tester)
2015-09-18 17:19

Dear BugMaster,
Branch CR26683 was rebased on branch IR-2015-09-17 of occt git-repository.
SHA-1: a7806d43a9b26a51dd164eed975bea1fab06e06b
(0045915)
mkv (tester)
2015-09-18 17:20

Dear BugMaster,
Branch CR26683 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: a7806d43a9b26a51dd164eed975bea1fab06e06b

Number of compiler warnings:

occt component :
Linux: 15 (15 on master)
Windows: 0 (0 on master)

products component :
Linux: 39 (39 on master)
Windows: 0 (0 on master)

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 92606595 / 92153280 [+0.49%]
Total CPU difference: 18931.24999999898 / 18922.219999998986 [+0.05%]
products component :
Total MEMORY difference: 25920388 / 25971259 [-0.20%]
Total CPU difference: 7316.859999999984 / 7206.699999999996 [+1.53%]

Testing on Windows:
occt component :
Total MEMORY difference: 56830627 / 56825094 [+0.01%]
Total CPU difference: 17523.701530698916 / 16810.57415939913 [+4.24%]
products component :
Total MEMORY difference: 16790347 / 16790438 [-0.00%]
Total CPU difference: 6013.089745199994 / 5526.49142599996 [+8.80%]

There are no differences in images found by testdiff.
(0046954)
git (administrator)
2015-10-16 16:28

Branch CR26683 has been deleted by kgv.

SHA-1: a7806d43a9b26a51dd164eed975bea1fab06e06b

- Related Changesets
occt: master 7d73d13f
Timestamp: 2015-09-16 09:55:49
Author: agv
Committer: kgv
Details ] Diff ]
0026683: VRML 2.0: ImageTexture node not written
mod - src/VrmlData/VrmlData_ImageTexture.hxx Diff ] File ]
mod - src/VrmlData/VrmlData_Node.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2015-09-14 12:29 agv New Issue
2015-09-14 12:29 agv Assigned To => gka
2015-09-15 11:27 abv Note Added: 0045612
2015-09-15 11:27 abv Assigned To gka => agv
2015-09-15 11:27 abv Status new => assigned
2015-09-15 14:33 agv Note Added: 0045638
2015-09-15 14:34 agv File Added: CR26683.zip
2015-09-16 13:10 git Note Added: 0045708
2015-09-17 09:02 abv Note Added: 0045741
2015-09-17 11:30 agv Note Added: 0045756
2015-09-17 13:45 abv Assigned To agv => gka
2015-09-17 13:45 abv Status assigned => resolved
2015-09-17 13:45 abv Steps to Reproduce Updated View Revisions
2015-09-17 13:47 abv Note Added: 0045784
2015-09-17 13:47 abv Assigned To gka => bugmaster
2015-09-17 13:47 abv Status resolved => reviewed
2015-09-17 14:01 mkv Assigned To bugmaster => mkv
2015-09-17 15:14 git Note Added: 0045807
2015-09-17 17:29 git Note Added: 0045820
2015-09-18 17:19 mkv Note Added: 0045914
2015-09-18 17:20 mkv Note Added: 0045915
2015-09-18 17:20 mkv Assigned To mkv => bugmaster
2015-09-18 17:20 mkv Status reviewed => tested
2015-09-28 12:58 kgv Changeset attached => occt master 7d73d13f
2015-09-28 12:58 kgv Assigned To bugmaster => kgv
2015-09-28 12:58 kgv Status tested => verified
2015-09-28 12:58 kgv Resolution open => fixed
2015-10-16 14:55 aiv Status verified => closed
2015-10-16 16:28 git Note Added: 0046954
2015-10-23 20:50 aiv Fixed in Version => 6.9.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker